[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: fftw-libs



On Fri, May 11, 2012 at 3:42 AM, Jayson Rowe <jayson.rowe@xxxxxxxxx> wrote:
> Sorry for taking so long to reply - it's been a busy, busy day.
>
> On Thu, May 10, 2012 at 08:57:15PM +0200, Thomas Spura wrote:
>> fftw changed the package structure completely and is now currently
>> being pushed to stable:
>> https://admin.fedoraproject.org/updates/FEDORA-2012-6879/python-anfft-0.1-4.fc17,fftw-3.3.1-3.fc17
>>
>> In this case you definitely don't need to uninstall fftw, just wait,
>> till it's in the normal updates repo and you won't see this again with
>> 'yum distro-sync'.
>
> It's actually a little too late for that - i uninstalled it from both
> machines this morning. Now, if I try to re-install, I get this:

Why do you want to reinstall fftw, when you don't need it? ;)

You could try to reinstall fftw-libs, as that was always there, the
-quad, -double, -single packages are all new and only available, when
updates-testing is available.

> nsaction Check Error:
> file /usr/lib64/libfftw3q.so.3 from install of
>  fftw-libs-3.3-4.fc17.x86_64 conflicts with file from package
>  fftw-libs-quad-3.3.1-3.fc17.x86_64
> file /usr/lib64/libfftw3.so.3 from install of
>  fftw-libs-3.3-4.fc17.x86_64 conflicts with file from package
>  fftw-libs-double-3.3.1-3.fc17.x86_64
> file /usr/lib64/libfftw3l.so.3 from install of
>  fftw-libs-3.3-4.fc17.x86_64 conflicts with file from package
>  fftw-libs-long-3.3.1-3.fc17.x86_64
> file /usr/lib64/libfftw3f.so.3 from install of
>  fftw-libs-3.3-4.fc17.x86_64 conflicts with file from package
>  fftw-libs-single-3.3.1-3.fc17.x86_64
>
> If I try to reinstall those packages it tells me:
>
> [jayson@desktop ~]$ sudo yum reinstall fftw-libs-quad fftw-libs-double
> fftw-libs-single fftw-libs-long
> [sudo] password for jayson:
> Loaded plugins: langpacks, presto, refresh-packagekit
> Installed package fftw-libs-quad-3.3.1-3.fc17.x86_64 (from
>        updates-testing) not available.
> Installed package fftw-libs-double-3.3.1-3.fc17.x86_64 (from
>        updates-testing) not available.
> Installed package fftw-libs-single-3.3.1-3.fc17.x86_64 (from
>        updates-testing) not available.
> Installed package fftw-libs-long-3.3.1-3.fc17.x86_64 (from
>        updates-testing) not available.
> Error: Nothing to do

See above. Those packages are only in updates-testing.
You cannot install those with updates-testing disabled.

> ...and if I try to remove them, there are a ton of dependancies to be
> removed. Not sure what to do at this point.

Wait, till fftw makes it to the proper updates repository (will happen
in the next push) or try to reinstall fftw-libs only.

> I'm really hoping I haven't borked my installs. I'm pretty new to Fedora
> - I'm an Ubuntu refugee. I felt pretty comfortable with Yum having used
> CentOS extensively on servers, and I was a RH/FC user through FC2 before
> going to Ubuntu. I've never run a beta release of Fedora. Until now,
> I've had ZERO issues...

I'd wouldn't call this a big issue too ;)

Things like this can happen, when you suddently disable
updates-testing. Sometimes a "yum clean metadata all" is needed and
anything works fine again :)

Greetings,
    Tom
-- 
test mailing list
test@xxxxxxxxxxxxxxxxxxxxxxx
To unsubscribe:
https://admin.fedoraproject.org/mailman/listinfo/test



[Fedora Legacy]     [Fedora Desktop]     [Fedora SELinux]     [Photo Sharing]     [Yosemite Forum]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]

Powered by Linux